Subject: ITS arc format

From: Gavin Thomas Nicol <[email-masked]>
Date: Mon, 2 Nov 92 11:00:03 JST

Hello,
  I'm new to this list, so:

1) Can someone please point me to the FAQ before I start asking
   stupid questions.
2) Something not entirely related to pdp8's. Can anyone send me 
   some info on the ITS arc format?

Thanks in advance!

nick

From: Johnny Billquist  <[email-masked]>
Date: Fri, 6 Nov 92 22:33:45 MET
Reply-To: [email-masked]
To: [email-masked]
Subject: [Johnny Billquist <[email-masked]>: Re: Can an RL02 be
        controlled by the RL11??]

From: Johnny Billquist  <[email-masked]>
Date: Fri, 6 Nov 92 22:33:45 MET
Reply-To: [email-masked]
To: [email-masked]
Subject: [Johnny Billquist <[email-masked]>: Re: Can an RL02 be
        controlled by the RL11??]

This is maybe to some interest here as well, I just realized...
                ---------------

From: Johnny Billquist  <[email-masked]>
Date: Fri, 6 Nov 92 21:02:07 MET
Reply-To: [email-masked]
Subject: Re: Can an RL02 be controlled by the RL11??
To: [email-masked]

>In article <[email-masked]>, [email-masked] (Jeffrey Luszcz) writes:
>>   Can I use my rl11 controllers to control rl02 drives? If not, what is
>> the UNIBUS card that would do it?
>
>  Yes. The RL11 controller supports both RL01 and RL02 drives. You may need
>some minimum revision level to support RL02's.
>
>  The Q-bus RLV11 only does RL01's (and is a 2-board set, and doesn't like
>Q/Q backplanes, and other unfriendly acts). The RLV21 does both and is a
>single board.

On a slightly side-note. The RL8A also supports both the RL01 and
RL02.
You only need to change one switch on the board. (The RL8A is a one
board controller for the pdp8).

Johnny Billquist                  || "I'm on a bus
CS student at Uppsala University  ||  on a psychedelic trip
email: [email-masked]       ||  Reading murder books
pdp is alive!                     ||  tryin' to stay hip" - B. Idol

Date: Fri, 6 Nov 92 22:18:56 EST
From: Charles Lasner <[email-masked]>
To: [email-masked]
Subject: RL8A

Date: Fri, 6 Nov 92 22:18:56 EST
From: Charles Lasner <[email-masked]>
To: [email-masked]
Subject: RL8A

    As Johnny Billquist points out, there is a DIP switch on the RL8A
for changing over the RL8A to control RL01 or RL02, not both.

    The only difference between drives is that an RL02 has an additional
bit of track difference register logic over an RL01.  (I think 10
instead of 9.)

    The -11 controllers allow a "mix and match" system, but the -8 does
not.  I presume that the RL8A sets up the bit that would be usefully
programmed in the RL02 situation for the benefit of the RL01.  Proper
settings could be something like:

1)	Always 0
2)	Always 1
3)	A sign extension of the neighboring bit
4)	Some form of even/odd parity

    Thus, RL01 software may misbehave when the DIP switch is thrown for
RL02 usage, while RL02 will only work if the switch is thrown.
Presumably, if we knew what to set the "extra" bit to, the existent
software could be made to work without regard to the DIP switch, and a
mixed system could then be possible.

    Moreover, the DECmate I supports the RL278 option, and lacks this
switch altogether, specifying only RL02's be connected.  If the
"offending" software can be identified, then the DECmate I could also
support an RL01 or mixed 01/02 systems.

cjl

Summary-line:  7-Nov        [email-masked]  #Re: RL8A
From: Johnny Billquist  <[email-masked]>
Date: Sat, 7 Nov 92 11:38:06 MET
Reply-To: [email-masked]
To: Charles Lasner <[email-masked]>
Cc: [email-masked]
Subject: Re: RL8A

From: Johnny Billquist  <[email-masked]>
Date: Sat, 7 Nov 92 11:38:06 MET
Reply-To: [email-masked]
To: Charles Lasner <[email-masked]>
Cc: [email-masked]
Subject: Re: RL8A
In-Reply-To: Your message of Fri, 6 Nov 92 22:18:56 EST

>As Johnny Billquist points out, there is a DIP switch on the RL8A for
>changing over the RL8A to control RL01 or RL02, not both.
>
>The only difference between drives is that an RL02 has an additional
>bit of track difference register logic over an RL01.  (I think 10
>instead of 9.)
>
>The -11 controllers allow a "mix and match" system, but the -8 does
>not.  I presume that the RL8A sets up the bit that would be usefully
>programmed in the RL02 situation for the benefit of the RL01.  Proper
>settings could be something like:
>
>1)	Always 0
>2)	Always 1
>3)	A sign extension of the neighboring bit
>4)	Some form of even/odd parity
>
>Thus, RL01 software may misbehave when the DIP switch is thrown for
>RL02 usage, while RL02 will only work if the switch is thrown. 
>Presumably, if we knew what to set the "extra" bit to, the existent
>software could be made to work without regard to the DIP switch, and a
>mixed system could then be possible.
>
>Moreover, the DECmate I supports the RL278 option, and lacks this
>switch altogether, specifying only RL02's be connected.  If the
>"offending" software can be identified, then the DECmate I could also
>support an RL01 or mixed 01/02 systems.

As you points out in you text, Charles, the problem is not in the
controller. The controller can take a mix fof RL01 and RL02, some
software sets the high bit of the track, though, which is not
appreciated on the RL01...

>cjl

Johnny Billquist                  || "I'm on a bus
CS student at Uppsala University  ||  on a psychedelic trip
email: [email-masked]       ||  Reading murder books
pdp is alive!                     ||  tryin' to stay hip" - B. Idol

Summary-line: 16-Nov     [email-masked]  #need BIN format software for 8/L
From: [email-masked] (Richard Chapman)
Date: Mon, 16 Nov 92 13:50:52 -0500
To: [email-masked]
Subject: need BIN format software for 8/L

From: [email-masked] (Richard Chapman)
Date: Mon, 16 Nov 92 13:50:52 -0500
To: [email-masked]
Subject: need BIN format software for 8/L

Well, I now have a 20-ma <-> rs232 interface that I can use to
download from the net to my PDP-8/L via the console port (the machine
is just the 8/L cpu with 4k core and the tty interface). I have the BIN
and RIM loaders, so, what I need is software in the BIN paper tape
format (can anyone explain that format in detail, also) that I can
get into the -8/L by toggling in the RIM loader, loading the BIN
loader, then loading the "application".

I suppose the thing to do is read the software from tape into a
machine connected to the net, uuencode it, and mail it to me (just
tell me how to convert it back into the sequence of bytes I can punch
onto a paper tape).

Of course, if anyone wants to dispose of -8/L interfaces or expansion
core, please let me know! (I have rk05, pc-04/05, rl01, but no interface
to the -8/L for them).

Thanks a bunch,
Richard Chapman
[email-masked]